<?php
/*
Plugin Name: Wallwisher Shortcode
Description: Enables shortcode to embed Wallwisher walls. Usage: <code>[wall key="8ytxjz" height="480" width="100%" ]</code>. This code is available in the SHARE section of the wall side bar.
Version: 1.1
License: GPL
Author: Nitesh Goel / Wallwisher
Author URI: http://wallwisher.com
*/

function createWallwisherEmbedFrame($atts, $content = null) {
	extract(shortcode_atts(array(
		'key'   => '',
		'width'   => '100%',
		'height' => '480'
	), $atts));

	if(!$key) {
		$code = "<div style='padding:5px;border: 1px solid red'>Something is wrong with your Wallwisher shortcode.</div>";
	}
	else {
		$code = "<iframe src='http://wallwisher.com/embed/$key' width='$width' height='$height' style='border:1px solid #999999'></iframe>";
	}

	/**
	* Return embed in JS and iframe
	*/
	return $code;
}

add_shortcode('wallwisher', 'createWallwisherEmbedFrame');

?>